freeipmi (1.6.16-1) unstable; urgency=medium

  * New upstream version 1.6.16
  * d/patches: remove one patch applied upstream and refresh other
  * d/salsa-ci.yml: enable licenserecon
  * Update standards version to 4.7.2, no changes needed
  * fix and improve to d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 29 Nov 2025 21:24:02 +0100

freeipmi (1.6.15-2) unstable; urgency=medium

  * d/patches: add one upstream fix:
    - toolcommon: fix gcc15 compilation error (Closes: #1096654)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 06 Sep 2025 13:40:16 +0200

freeipmi (1.6.15-1) unstable; urgency=medium

  * New upstream version 1.6.15
  * Rename d/.gilab-ci.yml to d/salsa-ci.yml and improve it
  * Update standards version to 4.7.0, no changes needed
  * Improve d/gbp.conf
  * d/patches: remove 4 patches applied upstream and refresh other
  * update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 14 Feb 2025 14:58:13 +0100

freeipmi (1.6.13-3) unstable; urgency=medium

  * d/patches/upstream: add 2 upstream fixes
    - Ipmi-sel-add-missing-function-propotype.patch
    - 0004-ipmi-sensors-fix-header-guard-definitions.patch
  * d/patches/0005-add-missed-include-in-ipmi-sensors-oem-intel.c.patch
    (Closes: #1066711)
  * d/control: replace obsolete pkg-config with pkgconf in build-deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 25 Mar 2024 21:54:16 +0100

freeipmi (1.6.13-2) unstable; urgency=medium

  * d/patches/u: add Remove-duplicate-inb-outb-declaration-check.patch

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 28 Jan 2024 15:00:07 +0100

freeipmi (1.6.13-1) unstable; urgency=medium

  * New upstream version 1.6.13 (Closes: #1061547)
  * d/control: Build-depends from systemd to systemd-dev (Closes: #1060491)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 27 Jan 2024 15:27:14 +0100

freeipmi (1.6.11-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052642)

  [ Fabio Fantoni ]
  * Fix some spelling errors in debian folder
  * Remove unused lintian overrides
  * d/gbp.conf: change debian-branch and upstream-branch to follow DEP14

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 17 Nov 2023 12:08:23 +0100

freeipmi (1.6.11-1) unstable; urgency=medium

  * New upstream version 1.6.11
  * d/patches: remove one patch applied upstream

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 14 Jun 2023 13:17:42 +0200

freeipmi (1.6.10-2) unstable; urgency=medium

  * d/patches: add one upstream patch
    Add initial support for Xilinx OEM FRU records (LP: #2019106)
  * Bumped Standards-Version to 4.6.2, no needed changes

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 14 May 2023 12:09:29 +0200

freeipmi (1.6.10-1) unstable; urgency=medium

  * New upstream version 1.6.10
  * d/patches: remove 6 patches applied upstream
  * Bumped Standards-Version to 4.6.1, no needed changes
  * Update lintian overrides
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 03 Sep 2022 15:07:08 +0200

freeipmi (1.6.9-2) unstable; urgency=medium

  * d/rules: fix configure option for kfreebsd FTBFS (Closes: #998696)
  * d/patches/enable-lan6-conf.patch: enable ipmi-config lan6_conf
    section (LP: #1956213)
  * d/patches: add some upstream fixes
    - ipmi-config: Return int instead of uint8_t when a negative
      value can be returned.  Cast to uint8_t when appropriate.
    - ipmi-config: correct IPv6 dynamic address checkout error
    - ipmi-config: do not output all IPv6 addresses by default,
      only output them all in verbose mode.
    - ipmi-config: fix output corner case due to missing error
      handling
    - libfreeipmi/cmds: fix invalid template check error

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 16 Feb 2022 20:46:59 +0100

freeipmi (1.6.9-1) unstable; urgency=medium

  * New upstream version 1.6.9
  * Remove a patch applied upstream and refresh other

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 23 Jan 2022 13:02:11 +0100

freeipmi (1.6.8-2) experimental; urgency=medium

  * Don't build and install static libraries
  * Install systemd files on linux-any
  * Enable init scripts for kfreebsd only archs
  * Multiarch path for libdir
  * Move some arch-indip. files from shared libraries
    packages to freeipmi-common

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 10 Dec 2021 12:41:24 +0100

freeipmi (1.6.8-1) unstable; urgency=medium

  * New upstream version 1.6.8
  * d/rules: remove --with systemd on dh, is default
  * Systemd build-deps only with linux kernel archs
  * update debian/watch and add signature check
  * d/patches:
    - remove 2 patches applied in new upstream version
    - replace custom patch about /etc/default with better
      from upstream that set in configure
  * add build-depends-package field in symbols files

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Thu, 09 Dec 2021 23:01:11 +0100

freeipmi (1.6.6-5) unstable; urgency=medium

  * Fix .pc files path in -dev packages. Thanks to наб (Closes: #996325)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 13 Oct 2021 16:26:23 +0200

freeipmi (1.6.6-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Use absolute symlink targets for symlink_to_dir, the maintainer scripts in
    jessie converted the doc directories to absolute symlinks.
    (Closes: #991604)

  [ Fabio Fantoni ]
  * d/p/libfreeipmi-ipmi-sensor-read.c-Incorrect-sensor-read.patch
    incorrect sensor reading reported (LP: #1926299)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 28 Jul 2021 16:41:51 +0200

freeipmi (1.6.6-3) unstable; urgency=medium

  * remove sysvinit-utils dependency as not needed anymore
  * disable initd scripts in configure instead remove them with rm
  * remove maintscript entries related to very old versions
  * update ipmidetectd service, /etc/default/ipmidetectd was removed
  * use upstream systemd service files and add pkg-config, systemd
    and libsystemd-dev to build-depends (Closes: #924570)
  * wrap and sort
  * fix libipmiconsole.pc path
  * fix systemd service files permission
  * specify that rules require root
  * Bump Standards-Version to 4.5.1
  * add repository to upstream metadata

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 06 Feb 2021 19:46:06 +0100

freeipmi (1.6.6-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * remove duplicate entry in freeipmi-ipmidetect.maintscript
  * remove debian/compat and use debian-compat in debian/control
  * update lintian override about man
  * fix systemd service files install
  * change duplicate short description of freeipmi-ipmiseld
  * add missing '/var/cache/ipmiseld/' directory in package freeipmi-ipmiseld
    (Closes: #793186)
  * fix service restart in postrotate of bmc-watchdog.logrotate
  * d/rules: small improvement to avoid an unexpected case
  * Rise compat level to 13
  * libipmimonitoring-dev: move .pc file to a multiarch location
    (Closes: #981386)

  [ Bernd Zeimetz ]
  * Setting Fabio Fantoni as Maintainer, moving myself to uploaders.
  * Removing Yaroslav Halchenko from Uploaders.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 02 Feb 2021 20:53:25 +0100

freeipmi (1.6.6-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * [58415f9] Add break/replace libipmimonitoring5a to libipmimonitoring6
   libipmimonitoring6 avoid fails on upgrade  for files present in both
   packages making upgrade failing, including upgrade from
   oldstable (Stretch) the the latest (Buster)
    (Closes: #925139)
  * [995c9ab] mark freeipmi-common Multi-Arch: foreign.
    Thanks to Helmut Grohne (Closes: #941145)
  * [875d980] use dh_autoreconf instead of dh_autotools-dev.
    I did this patch based on  ubuntu patch plus I removed autotools-dev build-dep.
    that seems to me not needed anymore after this change
    (and is also installed as dep. of automake, dep. of dh-autoreconf)
    Thanks to Steve Langasek (Closes: #841657)

  [ Bernd Zeimetz ]
  * [83bcf9c] Disable reprotest for now.
    Fails to build with some weird fail.

  [ Andreas Hasenack ]
  * [6fee89c] d/NEWS: explain the removal of RUN= settings in /etc/default configuration files.
  * [678414e] d/rules: Build with "bindnow"
    See
    https://wiki.debian.org/Hardening#DEB_BUILD_HARDENING_BINDNOW_.28ld_-z_now.29
  * [bab13c0] d/freeipmi-ipmidetect.maintscript: handle removal of
    obsolete /etc/default/ipmidetectd configuration file
  * [1a77722] d/NEWS: fix typo

  [ Bernd Zeimetz ]
  * [da10921] New upstream version 1.6.6
  * [1e10f54] snapshot changelog"

  [ Debian Janitor ]
  * [b621349] Trim trailing whitespace.
    Changes-By: lintian-brush
    Fixes: lintian: trailing-whitespace
    See-also: https://lintian.debian.org/tags/trailing-whitespace.html
  * [8ee3600] Use secure copyright file specification URI.
    Changes-By: lintian-brush
    Fixes: lintian: insecure-copyright-format-uri
    See-also: https://lintian.debian.org/tags/insecure-copyright-format-uri.html
  * [3c930ee] Use secure URI in debian/watch.
    Changes-By: lintian-brush
    Fixes: lintian: debian-watch-uses-insecure-uri
    See-also: https://lintian.debian.org/tags/debian-watch-uses-insecure-uri.html
  * [0272574] Use secure URI in Homepage field.
    Changes-By: lintian-brush
    Fixes: lintian: homepage-field-uses-insecure-uri
    See-also: https://lintian.debian.org/tags/homepage-field-uses-insecure-uri.html
  * [15322d3] Set upstream metadata fields: Bug-Submit (from ./configure).
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html
  * [e37a4a5] Drop unnecessary dependency on dh-autoreconf.
    Changes-By: lintian-brush
    Fixes: lintian: useless-autoreconf-build-depends
    See-also: https://lintian.debian.org/tags/useless-autoreconf-build-depends.html
  * [fd12a3b] Changed vcs type from git to Git based on URL.
    Changes-By: lintian-brush
    Fixes: lintian: vcs-field-mismatch
    See-also: https://lintian.debian.org/tags/vcs-field-mismatch.html

  [ Fabio Fantoni ]
  * [872e85f] make the build reproducible.
    Replace man pages dates with the timestamp from the latest
    debian/changelog entry using the variable SOURCE_DATE_EPOCH to make the
    package build reproducibly.
    I updated the patch that was not applicable anymore.
    Thanks to Eduard Sanou (Closes: #794792)
  * [b921b64] Revert "Disable reprotest for now."
    This reverts commit 83bcf9c163ee9d2d9089961f556fc8afe60b501f.
  * [ad3868d] remove old unused debian patches
  * [59336cc] fix few things spotted by lintian
    - file-contains-trailing-whitespace debian/changelog
    - useless-autoreconf-build-depends dh-autoreconf
    - homepage-field-uses-insecure-uri
    - insecure-copyright-format-uri
    - unused-file-paragraph-in-dep5-copyright paragraph at line 14
      (files not present anymore)
    - debian-watch-uses-insecure-uri
    - manpage-has-errors-from-man
    - unused-override manpage-has-errors-from-man
  * [a8fd850] remove unneeded pre-depends on very old dpkg
    pre-depends should be avoided FWIK and the dpkg >=1.15.7.2~ is very old
    (before actual oldoldstable, so should be not needed anymore
  * [0758379] Rise compat level to 11
  * [cdf746c] use dh_missing instead of the deprecated option
    --fail-missing on dh_install is deprecated and removed in dh 12
  * [f5c346f] remove init files and use systemd ones
    systemd service are already present and systemd is default in latest debian
    Note: /etc/logrotate.d/bmc-watchdog to remove or changed it and its systemd
    service
  * [1dc31f5] handle removal of obsolete /etc/default/ipmidetectd
    configuration file
    taken from ubuntu
  * [e0c8613] build with hardening "bindnow"
    is already used in ubuntu packages

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 29 Jan 2021 21:27:29 +0100

freeipmi (1.6.4-3) unstable; urgency=medium

  * [b434aad] Replace doc symlinks by a directory with doc link inside.
  * [f39e83c] Updating changelog
  * [a80aa32] Don't delete doc dirs
  * [c56cc81] Symlink target is freeipmi-common
  * [02fe52e] Remove old/now broken postinst scripts
  * [b4e8785] Remove more unused postrm/preinst files

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 29 Sep 2019 23:43:47 +0200

freeipmi (1.6.4-2) unstable; urgency=medium

  * [5fef9cf] Rise compat level to 10.
  * [f65913c] Implement our own version of --link-doc.
    We need to depend on freeipmi-common anyway, so ignoring the broken
    dependencies created by --link-doc is the best option for now.
    Thanks to Andreas Beckmann (Closes: #935764)
  * [b1d0a64] Build-depend on texinfo.
    makeinfo is missing at build time.
  * [861bfac] Remove existing doc directories before linking

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 27 Sep 2019 23:19:39 +0200

freeipmi (1.6.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bernd Zeimetz ]
  * [666e5e4] Priority extra is deprecated, use optional.
  * [711cfa6] Updating .gitlab-ci.yml

  [ Michael Prokop ]
  * [1f305ea] New upstream version 1.6.4 (Closes: #940150)
  * [62a875e] Move dpkg-maintscript-helper calls from {post,pre},{inst,rm}
    scripts into maintscript
  * [a2dd566] Refresh debian/freeipmi-tools.lintian-overrides

 -- Michael Prokop <mika@debian.org>  Thu, 26 Sep 2019 17:14:05 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfreeipmi17`.
